public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pycparser/
Date: Mon, 24 Oct 2016 12:43:11 +0000 (UTC)	[thread overview]
Message-ID: <1477309635.ed7e70fc726573c5e4307a806d2ea26ece70f44e.polynomial-c@gentoo> (raw)

commit:     ed7e70fc726573c5e4307a806d2ea26ece70f44e
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 24 11:47:15 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Oct 24 11:47:15 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed7e70fc

dev-python/pycparser: Bump to version 2.16

Package-Manager: portage-2.3.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 dev-python/pycparser/Manifest              |  1 +
 dev-python/pycparser/pycparser-2.16.ebuild | 34 ++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-python/pycparser/Manifest b/dev-python/pycparser/Manifest
index e30d687..d1ca0fe 100644
--- a/dev-python/pycparser/Manifest
+++ b/dev-python/pycparser/Manifest
@@ -1 +1,2 @@
 DIST pycparser-2.14.tar.gz 223295 SHA256 7959b4a74abdc27b312fed1c21e6caf9309ce0b29ea86b591fd2e99ecdf27f73 SHA512 d5b9ab434a8944898ac23a4f51189db77b02b993bf3e3ca018852b117fc0eb43e460b156beaa5c1d631ad71c81e1649113e9fff7e33506b1e7d4de24d8b464c6 WHIRLPOOL 4a541ce696298a355d4e3325a10dffd47bd26756b0164da82b70090310edfacf0428ed9e26de7be7e3d4c2c952ee664262a212562852fe29f909ab0631bfd79f
+DIST pycparser-2.16.tar.gz 230060 SHA256 108f9ff23869ae2f8b38e481e7b4b4d4de1e32be968f29bbe303d629c34a6260 SHA512 854c93b8c75aeecf7b3df61ee181693e31e7cf59d6a695fd1b32ff8baf5916bc38f9574af6d0db888764eb756f1dc06555e83c8d990e1dc0ddad2b03db23ecab WHIRLPOOL 1fa47f0526ef892356fc7eaab6541825ce9ddb34033574926680c0983b070c8429ff9269d28e98d0bd47bd1964624fb9662b2b3433aaeca8ee172fe091d24796

diff --git a/dev-python/pycparser/pycparser-2.16.ebuild b/dev-python/pycparser/pycparser-2.16.ebuild
new file mode 100644
index 00000000..d626ba1
--- /dev/null
+++ b/dev-python/pycparser/pycparser-2.16.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="C parser and AST generator written in Python"
+HOMEPAGE="https://github.com/eliben/pycparser"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="test"
+
+RDEPEND="dev-python/ply[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_compile() {
+	distutils-r1_python_compile
+	pushd "${BUILD_DIR}/lib/pycparser" > /dev/null || die
+	"${PYTHON}" _build_tables.py || die
+	popd > /dev/null || die
+}
+
+python_test() {
+	nosetests || die
+}


             reply	other threads:[~2016-10-24 12:43 UTC|newest]

Thread overview: 73+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-24 12:43 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-22 10:50 [gentoo-commits] repo/gentoo:master commit in: dev-python/pycparser/ Michał Górny
2024-05-10 18:38 Michał Górny
2024-04-20  9:45 Michał Górny
2024-03-31  3:10 Michał Górny
2023-05-24  7:48 Sam James
2023-03-26  2:27 Michał Górny
2023-03-26  0:51 Sam James
2023-02-23 15:14 Michał Górny
2023-02-23 15:14 Michał Górny
2023-02-23 15:14 Michał Górny
2023-02-06  5:27 Sam James
2022-06-12 14:25 Michał Górny
2022-06-12 12:46 Sam James
2022-06-12  5:51 Michał Górny
2022-05-10 21:52 Michał Górny
2022-05-10 21:52 Michał Górny
2021-12-28 20:54 Michał Górny
2021-12-28 20:52 Arthur Zamarin
2021-12-28 20:41 Sam James
2021-12-28 19:51 Arthur Zamarin
2021-12-27 19:18 Jakov Smolić
2021-12-27 19:18 Jakov Smolić
2021-12-27 19:08 Arthur Zamarin
2021-12-27 18:48 Arthur Zamarin
2021-12-27 18:48 Arthur Zamarin
2021-11-26  8:57 Sam James
2021-11-26  8:20 Sam James
2021-08-13  6:58 Michał Górny
2021-05-05 19:14 Michał Górny
2020-09-25 20:04 Michał Górny
2020-05-25 19:27 Michał Górny
2020-05-24 19:40 Mike Gilbert
2020-05-19 19:47 Mike Gilbert
2020-05-11 17:48 Michał Górny
2020-05-08 20:58 Mart Raudsepp
2020-05-08  9:36 Sergei Trofimovich
2020-05-04 16:51 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2020-05-03 13:00 Agostino Sarubbo
2020-05-03 12:58 Agostino Sarubbo
2020-05-03 12:31 Agostino Sarubbo
2020-05-03 12:28 Agostino Sarubbo
2020-05-02 21:28 Mike Gilbert
2020-03-05  5:50 Michał Górny
2019-12-04  6:48 Aaron Bauman
2019-11-18 16:18 Mike Gilbert
2019-11-17 22:59 Mike Gilbert
2019-11-16 23:00 Michał Górny
2019-11-16 23:00 Michał Górny
2018-11-25  9:09 Michał Górny
2018-11-25  9:09 Michał Górny
2018-11-19 21:15 Fabian Groffen
2018-02-21 20:18 Michał Górny
2017-08-27 18:16 Michał Górny
2017-08-27 18:14 Michał Górny
2017-08-27 18:07 Michał Górny
2017-08-20  3:34 Tim Harder
2017-05-03 11:02 Michał Górny
2017-01-29 17:15 Fabian Groffen
2016-11-03  9:15 Lars Wendler
2016-10-25 14:19 Mike Gilbert
2016-10-24 16:00 Mike Gilbert
2016-10-24 15:57 Mike Gilbert
2016-09-14  5:19 Tim Harder
2016-06-21  2:47 Mike Frysinger
2015-10-18 16:48 Mikle Kolyada
2015-09-24 11:50 Justin Lecher
2015-09-24 10:36 Agostino Sarubbo
2015-09-20  9:30 Agostino Sarubbo
2015-08-25  5:38 Jeroen Roovers
2015-08-21 16:47 Markus Meier
2015-08-16 18:01 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1477309635.ed7e70fc726573c5e4307a806d2ea26ece70f44e.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox